![GitHub Workflow Status](https://img.shields.io/github/workflow/status/deepskies/DeepBench/build-bench)
![GitHub Workflow Status](https://img.shields.io/github/workflow/status/deeepskies/DeepBench/test-bench?label=test)
[![License](https://img.shields.io/badge/License-Apache_2.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
 [![PyPI version](https://badge.fury.io/py/deepbench.svg)](https://badge.fury.io/py/deepbench)



# DeepBench

### What is it?
Simulation library for very simple simulations to *benchmark* machine learning algorithms.
![DeepBench Logo](docs/repository_support/DeepSkies_Logos_DeepBench.png)


### Why do we need it? Why is it useful?
1. There are very universally recognized scientifically meaningful benchmark data sets, or methods with which to generate them.
2. A very simple data set will have objects, patterns, and signals that are intuitively quanitifiable and will be fast to generate.
3. A very simple data set will be a great testing ground for new networks and for newcomers to practice with the technology.


## Requirements
1. python 3.x


### Install 

`pip install deepbench`

### Install from Source


## General Features
1. very fast to generate
2. Mimics in a very basic / toy way what is in astro images
3. Be fully controllable parametrically

![DeepBench Logo](docs/repository_support/DeepBench.png)

### Included Simulations 

1. Astronomy Objects - simple astronomical object simulation 
- Galaxy, Spiral Galaxy, Star

2. Shapes - simple 2D geometric shapes 
- Rectangle, Regular Polygon, Arc, Line, Ellipse

3. Physics Objects - simple physics simulations 
- Neutonian Pendulum, Hamiltonian Pendulum

## Example

Standalone: 
```

```

Fine-Grained Control: 
```

```


## Original Development Team
1. Craig Brechmos
2. Renee Hlozek
3. Brian Nord


## How to contribute
I'm really glad you're reading this, because we need volunteer developers to help this project come to fruition.

### Testing

### Submitting changes

Please send a [GitHub Pull Request to simplephysicaliage](https://github.com/deepskies/SimplePhysicalImage/pull/new/master) with a clear list of what you've done (read more about [pull requests](http://help.github.com/pull-requests/)). When you send a pull request, we will love you forever if you include examples. We can always use more test coverage. Please follow our coding conventions (below) and make sure all of your commits are atomic (one feature per commit).

Always write a clear log message for your commits. One-line messages are fine for small changes, but bigger changes should look like this:

    $ git commit -m "A brief summary of the commit
    > 
    > A paragraph describing what changed and its impact."

### Coding conventions

Start reading our code and you'll get the hang of it. We optimize for readability:

  * We indent using tabs
  * We ALWAYS put spaces after list items and method parameters (`[1, 2, 3]`, not `[1,2,3]`), around operators (`x += 1`, not `x+=1`), and around hash arrows.
  * This is open source software. Consider the people who will read your code, and make it look nice for them. It's sort of like driving a car: Perhaps you love doing donuts when you're alone, but with passengers the goal is to make the ride as smooth as possible.

